import { jsx } from "react/jsx-runtime";
import { PiIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Pi = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Pi", ...props, children: /* @__PURE__ */ jsx(PiIcon, { weight: variant }) });
  }
);
Pi.displayName = "Pi";
Object.assign(Pi, { isGdsIcon: true });
export {
  Pi
};
